package com.railway.business.baseinfo.mapper;

import com.github.pagehelper.Page;
import com.railway.business.baseinfo.domain.BusSdtz;
import com.railway.business.baseinfo.domain.vo.BusSmartQueryVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
* 智能查询-隧道台账
* @author wuhonghao
* @date 2021/10/26
*/
@Mapper
@Repository
public interface BusSdtzMapper {

    /**
    * 新增
    */
    int insert(BusSdtz busSdtz);

    /**
    * 删除
    */
    int delete(@Param("id") String id);

    /**
    * 更新
    */
    int update(BusSdtz busSdtz);

    /**
    * 获取单个
    */
    BusSdtz getInfo(@Param("id") String id);

    /**
    * 查询列表
    */
    Page<BusSdtz> getList(BusSdtz busSdtz);

    /**
    * 查询列表
    */
    Page<BusSdtz> smartQuery(BusSmartQueryVo busSmartQueryVo);

}
